<!DOCTYPE html>
<html>
	<head>
		<title>人员备案-详情</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<meta name="viewport"
			content="width=device-width,initial-scale=1,minimum-scale=1,maximum-scale=1,user-scalable=no" />
		<!-- 所有的 css js 资源 -->
		<link rel="stylesheet" href="../../static/kj/element-ui/theme-chalk/index.css">
		<link rel="stylesheet" href="../../static/sa.css">
		<script src="../../static/kj/vue.min.js"></script>
		<script src="../../static/kj/element-ui/index.js"></script>
		<script src="../../static/kj/httpVueLoader.js"></script>
		<script src="../../static/kj/jquery.min.js"></script>
		<script src="../../static/kj/layer/layer.js"></script>
		<script src="../../static/sa.js"></script>
		<style type="text/css">
			.c-panel .c-label {
				width: 8em;
			}

			.rota {
				position: relative;
				right: 6px;
				font-size: 10px;
				cursor: pointer;
				padding: 3px;
				border-radius: 5px;
				bottom: 5em;
				color: cornflowerblue
			}
		</style>
	</head>
	<body>
		<div class="vue-box sbot" style="display: none;" :style="'display: block;'">
			<!-- ------- 内容部分 ------- -->
			<div class="s-body">
				<div class="c-panel">
					<el-form v-if="m">
						<el-row>
							<el-col :span="12">
								<sa-info name="姓名" br>{{m.name}}</sa-info>
								<sa-info name="单位" br>{{m.deptName}}</sa-info>
								<sa-info name="身份证" br>{{m.idCadStr}}</sa-info>
								<sa-item type="datetime" name="备案过期" v-model="m.endTime" br></sa-item>
								<sa-item name="审核意见" type="textarea" v-model="m.judgeContent" br></sa-item>
							</el-col>
							<el-col :span="12">
								<sa-info name="联系号码" br>{{m.phone}}</sa-info>
								<sa-info name="创建时间" br>{{m.createTime}}</sa-info>
								<sa-info name="更新时间" br>{{m.updateTime}}</sa-info>
								<sa-info type="img" name="人脸" :value="m.photo" br>
									<span slot="tip" class="rota">
										<span @click="rotaFn(-90)">
											<i class="el-icon-refresh-left"></i>
										</span>
										<span style="margin-left: 10px;" @click="rotaFn(90)">
											<i class="el-icon-refresh-right"></i>
										</span>
									</span>
								</sa-info>
							</el-col>
						</el-row>
					</el-form>
				</div>
			</div>
			<!-- ------- 底部按钮 ------- -->
			<div class="s-foot">
				<el-button type="success" @click="judge(1)">通过</el-button>
				<el-button type="danger" @click="judge(2)">不通过</el-button>
			</div>

		</div>
		<script>
			var app = new Vue({
				components: {
					"sa-info": httpVueLoader('../../sa-frame/com/sa-info.vue'),
					"sa-item": httpVueLoader('../../sa-frame/com/sa-item.vue')
				},
				el: '.vue-box',
				data: {
					dialogVisible: false,
					form: {
						direction: 1,
						num: 90
					},
					id: sa.p('id', 0), // 获取数据ID 
					m: {}
				},
				methods: {
					rotaFn(rota) {
						let m = this.m;
						sa.ajax('/TbPersonFiling/rota', {
							rota: rota,
							id:m.id
						}, function(resp) {
							this.getInfo();
						}.bind(this))
					},
					judge(state) {
						if (state == 2 && !this.m.judgeContent) {
							sa.error('请录入审核意见');
							return;
						}
						sa.ajax('/TbPersonFiling/judge', {
							id: this.id,
							judgeState: state,
							judgeContent: this.m.judgeContent,
							endTime: this.m.endTime
						}, function(res) {
							sa.alert('操作成功');
							setTimeout(() => {
								sa.closeCurrIframe(); // 关闭本页 
								parent.app.f5(); // 刷新父页面列表
							}, 1000)
						}.bind(this))
					},
					getInfo(){
						sa.ajax('/TbPersonFiling/getById?id=' + this.id, function(res) {
							this.m = res.data;
							if (res.data == null) {
								sa.alert('未能查找到 id=' + this.id + " 详细数据");
							}
						}.bind(this))
					}
				},
				mounted: function() {
					this.getInfo();
				}
			})
		</script>
	</body>
</html>
